/* eslint-disable */
// 该文件由 OneAPI 自动生成，请勿手动修改！
import { request } from '@umijs/max';

export async function filesCategoryItems(
  params,
  options,
) {
  return request('/admin/files_category/items', {
    method: 'GET',
    params: {
      ...params,
    },
    ...(options || {}),
  });
}

export async function filesCategoryCreate(
  body,
  options,
) {
  return request('/admin/files_category/create', {
    method: 'POST',
    data: body,
    ...(options || {}),
  });
}
export async function filesCategoryUpdate(
  body,
  options,
) {
  return request('/admin/files_category/update', {
    method: 'POST',
    data: body,
    ...(options || {}),
  });
}
export async function filesCategoryItem(
  params,
  options,
) {
  return request('/admin/files_category/item', {
    method: 'GET',
    params: { ...params },
    ...(options || {}),
  });
}

export async function filesCategoryDelete(
  body,
  options,
) {
  return request('/admin/files_category/delete', {
    method: 'POST',
    data: body,
    ...(options || {}),
  });
}